Bug 233337 - graphics/py-cairocffi: Add xcffib dependency (Fixes Qtile)
Summary: graphics/py-cairocffi: Add xcffib dependency (Fixes Qtile)
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Eric Turgeon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-19 18:47 UTC by Eric Turgeon
Modified: 2018-12-01 12:52 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
svn diff of Makefile (633 bytes, patch)
2018-11-19 18:47 UTC, Eric Turgeon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Turgeon freebsd_committer 2018-11-19 18:47:15 UTC
Created attachment 199357 [details]
svn diff of Makefile

Qtile 0.12.0 need graphics/py-cairocffi build with x11/py-xcffib.

I have attached a Makefile.diff from my svn diff it is ready to be commit.
Comment 1 Bugzilla Automation freebsd_committer 2018-11-19 18:47:15 UTC
Maintainer informed via mail
Comment 2 commit-hook freebsd_committer 2018-11-30 21:23:21 UTC
A commit references this bug:

Author: ericbsd
Date: Fri Nov 30 21:22:53 UTC 2018
New revision: 486302
URL: https://svnweb.freebsd.org/changeset/ports/486302

Log:
  graphics/py-cairocffi adding xcffib to RUN_DEPENDS and BUILD_DEPENDS

  PR has no reply by maintainer

  PR:		233337
  Submitted by:	ericbsd
  Reported by:	ericbsd
  Approved by:	mentors (implicit)

Changes:
  head/graphics/py-cairocffi/Makefile
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-01 04:25:36 UTC
Assign to committer that resolved.

Technically, this had a few more days before it reached maintainer timeout (14 days).

Commit log message did not contain an Approved by line:

Approved by: portmgr (maintainer timeout, XX days)

@Dave (the maintainer, now FreeBSD committer, CC'd), could you please update port MAINTAINER lines.

@Eric If the quarterly version of Qtile is also affected by this, the change (a bug fix) should be merged to the quarterly branch.
Comment 4 Eric Turgeon freebsd_committer 2018-12-01 12:52:29 UTC
The fix is for Qtile 0.12.0 that I did commit yesterday and I also took the maintainership of x11-wm/qtile. It does not apply to quarterly unless I can update I can update x11-wm/qtile 0.6 to 0.12.0 in quarterly.